<?xml version="1.0" encoding="UTF-8"?>
<FindBugsFilter>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.api_in.event.FilmSubscriber" />
        <Bug pattern="EI_EXPOSE_REP"/>
    </Match>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.api_in.event.FilmSubscriber" />
        <Bug pattern="EI_EXPOSE_REP2"/>
    </Match>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.api_in.event.KinoSubscriber" />
        <Bug pattern="EI_EXPOSE_REP"/>
    </Match>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.api_in.event.KinoSubscriber" />
        <Bug pattern="EI_EXPOSE_REP2"/>
    </Match>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.api_in.event.KontingentSubscriber" />
        <Bug pattern="EI_EXPOSE_REP"/>
    </Match>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.api_in.event.KontingentSubscriber" />
        <Bug pattern="EI_EXPOSE_REP2"/>
    </Match>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.api_in.event.TicketSubscriber" />
        <Bug pattern="EI_EXPOSE_REP"/>
    </Match>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.api_in.event.TicketSubscriber" />
        <Bug pattern="EI_EXPOSE_REP2"/>
    </Match>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.api_in.event.VorfuehrungSubscriber" />
        <Bug pattern="EI_EXPOSE_REP"/>
    </Match>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.api_in.event.VorfuehrungSubscriber" />
        <Bug pattern="EI_EXPOSE_REP2"/>
    </Match>

    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.application.services.FilmService" />
        <Bug pattern="EI_EXPOSE_REP2"/>
    </Match>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.application.services.KinoService" />
        <Bug pattern="EI_EXPOSE_REP2"/>
    </Match>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.application.services.TicketBundle" />
        <Bug pattern="EI_EXPOSE_REP2"/>
    </Match>

    <Match>
        <!-- spotbugs message is ... may expose internal representation by storing an externally mutable object into ... cache -->
        <Class name="de.accso.flexinale.besucherportal.infrastructure.ActuatorEndpointCache" />
        <Bug pattern="EI_EXPOSE_REP2"/>
    </Match>

</FindBugsFilter>